org.eclipse.ecf.provider.generic

## Class SSLClientSOContainer

- java.lang.Object
- - org.eclipse.ecf.core.AbstractContainer
  - - org.eclipse.ecf.provider.generic.SOContainer
    - - org.eclipse.ecf.provider.generic.ClientSOContainer
      - - org.eclipse.ecf.provider.generic.SSLClientSOContainer

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, IContainer, IIdentifiable, IReliableContainer, ISharedObjectContainer, ISharedObjectContainerClient

    public class SSLClientSOContainer
    extends ClientSOContainer

Since:
  4.3

### Field Summary

Fields
`static String` `DEFAULT_COMM_NAME`
`static int` `DEFAULT_TCP_CONNECT_TIMEOUT`

### Fields inherited from class org.eclipse.ecf.provider.generic.ClientSOContainer

`CONNECTED, CONNECTING, connection, connectionState, connectLock, connectPolicy, DEFAULT_CONNECT_TIMEOUT, DISCONNECTED, remoteServerID`

### Fields inherited from class org.eclipse.ecf.provider.generic.SOContainer

`config, DEFAULT_OBJECT_ARG_KEY, DEFAULT_OBJECT_ARGTYPES_KEY, groupManager, isClosing, loadingThreadGroup, policy, receiver, sharedObjectManager, sharedObjectMessageSerializer, sharedObjectThreadGroup`

### Constructor Summary

Constructors
Constructor and Description
`SSLClientSOContainer(ISharedObjectContainerConfig config)`
`SSLClientSOContainer(ISharedObjectContainerConfig config, int ka)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected ISynchAsynchConnection` `createConnection(ID remoteSpace, Object data)` Create connection instance.
`protected int` `getConnectTimeout()`
`static void` `main(String[] args)`

### Methods inherited from class org.eclipse.ecf.provider.generic.ClientSOContainer

`connect, createAuthorizationCallbacks, disconnect, disconnect, dispose, forwardExcluding, forwardExcluding, forwardToRemote, getConnectData, getConnectedID, getConnection, getConnectLock, getIDForConnection, getLeaveData, handleConnectResponse, handleLeave, handleLeaveGroupMessage, handleViewChangeMessage, isConnected, isConnecting, isGroupManager, processAsynch, processDisconnect, processSynch, queueContainerMessage, sendCreate, sendCreateMsg, sendCreateResponse, sendCreateResponseSharedObjectMessage, sendCreateSharedObjectMessage, sendDispose, sendDisposeSharedObjectMessage, sendMessage, sendMessage, sendSharedObjectMessage, setConnectInitiatorPolicy`

### Methods inherited from class org.eclipse.ecf.provider.generic.SOContainer

`addNewRemoteMember, addSharedObject0, addSharedObjectAndWait, addSharedObjectWrapper, addToLoading, checkRemoteCreate, createContainerPropertiesForSharedObject, createRemoteSharedObjectConfig, createRemoteSharedObjectContext, createRemoteSharedObjectWrapper, createSharedObjectConfig, createSharedObjectContext, createSharedObjectWrapper, debug, defaultDeserializeSharedObjectMessage, defaultSerializeSharedObjectMessage, deserializeContainerMessage, deserializeSharedObjectMessage, destroySharedObject, disconnect, fireDelegateContainerEvent, forward, getAdapter, getArgsFromProperties, getArgTypesFromProperties, getClassLoaderForContainer, getClassLoaderForSharedObject, getConfig, getConnectNamespace, getGroupMemberIDs, getGroupMembershipLock, getID, getMaxGroupMembers, getMessageReceiver, getNewSharedObjectThread, getNextSequenceNumber, getOtherMemberIDs, getReceiver, getSharedObject, getSharedObjectIDs, getSharedObjectManager, getSharedObjectMessageSerializer, getSharedObjectWrapper, handleAsynchIOException, handleCreateMessage, handleCreateResponseMessage, handleSharedObjectDisposeMessage, handleSharedObjectMessage, handleUndeliveredSharedObjectMessage, handleUnidentifiedMessage, isClosing, load, moveFromLoadingToActive, notifySharedObjectActivated, notifySharedObjectDeactivated, printToSystemError, removeFromLoading, removeRemoteMember, removeSharedObject, serialize, serializeSharedObjectMessage, setMaxGroupMembers, setRemoteAddPolicy, setSharedObjectMessageSerializer, traceStack, validateContainerMessage, verifySharedObjectMessageTarget, verifyToIDForSharedObjectMessage`

### Methods inherited from class org.eclipse.ecf.core.AbstractContainer

`addListener, fireContainerEvent, getPasswordFromConnectContext, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.core.IContainer

`addListener, removeListener`

### Field Detail

#### DEFAULT_TCP_CONNECT_TIMEOUT

    public static final int DEFAULT_TCP_CONNECT_TIMEOUT

See Also:
  Constant Field Values

#### DEFAULT_COMM_NAME

    public static final String DEFAULT_COMM_NAME

### Constructor Detail

#### SSLClientSOContainer

    public SSLClientSOContainer(ISharedObjectContainerConfig config)

#### SSLClientSOContainer

    public SSLClientSOContainer(ISharedObjectContainerConfig config,
                                int ka)

### Method Detail

#### getConnectTimeout

    protected int getConnectTimeout()

Overrides:
  `getConnectTimeout` in class `ClientSOContainer`

#### createConnection

    protected ISynchAsynchConnection createConnection(ID remoteSpace,
                                                      Object data)
                                               throws ConnectionCreateException

Description copied from class: `ClientSOContainer`
Create connection instance. This method is called by `ClientSOContainer.connect(ID, IConnectContext)`. Following a return from this method, the new ISynchAsynchConnection instance's `IConnection.connect(ID, Object, int)` method is subsequently called.

Specified by:
  `createConnection` in class `ClientSOContainer`
Parameters:
  `remoteSpace` - remote space
  `data` - data
Returns:
  ISynchAsynchConnection a non-`null` instance.
Throws:
  `ConnectionCreateException` - not thrown by this implementation.

#### main

    public static final void main(String[] args)
                           throws Exception

Throws:
  `Exception`